## GstMaxFramerateFilter GstMaxFramerateFilter — A video framerate limiter filter |

## Synopsis

    #include <gst/filters/gst-maxframerate-filter.h>

                        GstMaxFramerateFilter;
    GstMaxFramerateFilter * gst_maxframerate_filter_new     (guint fps);

## Object Hierarchy

      GObject
       +----GstFilter
             +----GstMaxFramerateFilter

## Properties

      "fps"                      guint                 : Read / Write

## Description

This filter will force the output video framerate to be inferior or equal to a specific value. It is useful to limit the output framerate for a streaming pipeline.

## Details

### GstMaxFramerateFilter

    typedef struct _GstMaxFramerateFilter GstMaxFramerateFilter;

A video maxframerate filter

### gst_maxframerate_filter_new ()

    GstMaxFramerateFilter * gst_maxframerate_filter_new     (guint fps);

Creates a new maxframerate filter. This filter will make sure that the stream does not output more frames than the specified FPS. It will not generate duplicate frames, so this filter is mainly to be used in a streaming pipeline. It will basically add 'videomaxrate ! capsfilter' to the pipeline.

`fps` : | The maximum FPS allowed
Returns : | A new GstMaxFramerateFilter

## Property Details

### The `"fps"` property

      "fps"                      guint                 : Read / Write

The maximum framerate allowed

Allowed values: <= G_MAXLONG

Default value: 30